cURL
curl --request PATCH \ --url https://api.bundle.social/api/v1/misc/mastodon/status \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "teamId": "<string>", "postId": "<string>", "description": "<string>", "spoilerText": "<string>" } '
{ "success": true, "permalink": "<string>" }
Update the text content and spoiler text of a published Mastodon status.
Documentation IndexFetch the complete documentation index at: https://info.bundle.social/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://info.bundle.social/llms.txt
Use this file to discover all available pages before exploring further.
Body
The ID of the post in our database
The updated status text
The updated spoiler/content warning text
200
Was this page helpful?